RESTinio

Public Member Functions | Static Public Attributes | List of all members
restinio::connection_state_listener_holder_t< connection_state::noop_listener_t > Struct Reference

A special class for case when no-op state listener is used. More...

`#include <settings.hpp>`

## Public Member Functions
void | check_valid_connection_state_listener_pointer () const

## Static Public Attributes
static constexpr bool | has_actual_connection_state_listener = false

## Detailed Description

A special class for case when no-op state listener is used.

Doesn't hold anything and contains empty check_valid_connection_state_listener_pointer() method.

Since
  v.0.5.1

Definition at line 350 of file settings.hpp.

## Member Function Documentation

## ◆ check_valid_connection_state_listener_pointer()

void restinio::connection_state_listener_holder_t< connection_state::noop_listener_t >::check_valid_connection_state_listener_pointer | ( |  | ) | const
| inline

Definition at line 355 of file settings.hpp.

## Member Data Documentation

## ◆ has_actual_connection_state_listener

constexpr bool restinio::connection_state_listener_holder_t< connection_state::noop_listener_t >::has_actual_connection_state_listener = false
| static constexpr

Definition at line 352 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp